package com.winsun.bean;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/**
 * 一人一码发展统计表entity
 *
 * @Author LiuRunYuan
 * @CreateDate 2020/03/06
 */
public class YrymReport {

    public static List<String> subNameList = new ArrayList<String>() {
        {
            add("天河");
            add("白云");
            add("番禺");
            add("海珠");
            add("荔湾");
            add("黄埔");
            add("增城");
            add("花都");
            add("东山");
            add("从化");
            add("本部");
        }
    };

    private String subName;         //县分
    private Integer schoolNum = 0;      //学校数
    private Integer studentNum = 0;     //学生数

    private Integer newUserNumWeek = 0;     //新增-新用户
    private Integer newAloneNumWeek = 0;    //新增-单宽带
    private Integer newMixNumWeek = 0;      //新增-融合宽带
    private Integer oldUserNumWeek = 0;     //存量-老用户办理
    private Integer oldContinueNumWeek = 0; //存量-老用户续约
    private Integer finishNewNumWeek = 0;   //已竣工-新增
    private Integer finishOldNumWeek = 0;   //已竣工-存量
    private Integer sumWeek = 0;            //总计

    private Integer newUserNumMonth = 0;
    private Integer newAloneNumMonth = 0;
    private Integer newMixNumMonth = 0;
    private Integer oldUserNumMonth = 0;
    private Integer oldContinueNumMonth = 0;
    private Integer finishNewNumMonth = 0;
    private Integer finishOldNumMonth = 0;
    private Integer sumMonth = 0;

    private Integer newUserNumAll = 0;
    private Integer newAloneNumAll = 0;
    private Integer newMixNumAll = 0;
    private Integer oldUserNumAll = 0;
    private Integer oldContinueNumAll = 0;
    private Integer finishNewNumAll = 0;
    private Integer finishOldNumAll = 0;
    private Integer sumAll = 0;

    public YrymReport() {
    }

    public void setDataBytype(Map<String, Object> map, String type) {
        switch (type) {
            case "week":
                newUserNumWeek = Integer.valueOf(map.get("newUserNum").toString());
                newAloneNumWeek = Integer.valueOf(map.get("newAloneNum").toString());
                newMixNumWeek = Integer.valueOf(map.get("newMixNum").toString());
                oldUserNumWeek = Integer.valueOf(map.get("oldUserNum").toString());
                oldContinueNumWeek = Integer.valueOf(map.get("oldContinueNum").toString());
                finishNewNumWeek = Integer.valueOf(map.get("finishNewNum").toString());
                finishOldNumWeek = Integer.valueOf(map.get("finishOldNum").toString());
                sumWeek = Integer.valueOf(map.get("sum").toString());
                break;
            case "month":
                newUserNumMonth = Integer.valueOf(map.get("newUserNum").toString());
                newAloneNumMonth = Integer.valueOf(map.get("newAloneNum").toString());
                newMixNumMonth = Integer.valueOf(map.get("newMixNum").toString());
                oldUserNumMonth = Integer.valueOf(map.get("oldUserNum").toString());
                oldContinueNumMonth = Integer.valueOf(map.get("oldContinueNum").toString());
                finishNewNumMonth = Integer.valueOf(map.get("finishNewNum").toString());
                finishOldNumMonth = Integer.valueOf(map.get("finishOldNum").toString());
                sumMonth = Integer.valueOf(map.get("sum").toString());
                break;
            case "all":
                newUserNumAll = Integer.valueOf(map.get("newUserNum").toString());
                newAloneNumAll = Integer.valueOf(map.get("newAloneNum").toString());
                newMixNumAll = Integer.valueOf(map.get("newMixNum").toString());
                oldUserNumAll = Integer.valueOf(map.get("oldUserNum").toString());
                oldContinueNumAll = Integer.valueOf(map.get("oldContinueNum").toString());
                finishNewNumAll = Integer.valueOf(map.get("finishNewNum").toString());
                finishOldNumAll = Integer.valueOf(map.get("finishOldNum").toString());
                sumAll = Integer.valueOf(map.get("sum").toString());
                break;
        }
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Integer getSchoolNum() {
        return schoolNum;
    }

    public void setSchoolNum(Integer schoolNum) {
        this.schoolNum = schoolNum;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getNewUserNumWeek() {
        return newUserNumWeek;
    }

    public void setNewUserNumWeek(Integer newUserNumWeek) {
        this.newUserNumWeek = newUserNumWeek;
    }

    public Integer getNewAloneNumWeek() {
        return newAloneNumWeek;
    }

    public void setNewAloneNumWeek(Integer newAloneNumWeek) {
        this.newAloneNumWeek = newAloneNumWeek;
    }

    public Integer getNewMixNumWeek() {
        return newMixNumWeek;
    }

    public void setNewMixNumWeek(Integer newMixNumWeek) {
        this.newMixNumWeek = newMixNumWeek;
    }

    public Integer getOldUserNumWeek() {
        return oldUserNumWeek;
    }

    public void setOldUserNumWeek(Integer oldUserNumWeek) {
        this.oldUserNumWeek = oldUserNumWeek;
    }

    public Integer getOldContinueNumWeek() {
        return oldContinueNumWeek;
    }

    public void setOldContinueNumWeek(Integer oldContinueNumWeek) {
        this.oldContinueNumWeek = oldContinueNumWeek;
    }

    public Integer getFinishNewNumWeek() {
        return finishNewNumWeek;
    }

    public void setFinishNewNumWeek(Integer finishNewNumWeek) {
        this.finishNewNumWeek = finishNewNumWeek;
    }

    public Integer getFinishOldNumWeek() {
        return finishOldNumWeek;
    }

    public void setFinishOldNumWeek(Integer finishOldNumWeek) {
        this.finishOldNumWeek = finishOldNumWeek;
    }

    public Integer getSumWeek() {
        return sumWeek;
    }

    public void setSumWeek(Integer sumWeek) {
        this.sumWeek = sumWeek;
    }

    public Integer getNewUserNumMonth() {
        return newUserNumMonth;
    }

    public void setNewUserNumMonth(Integer newUserNumMonth) {
        this.newUserNumMonth = newUserNumMonth;
    }

    public Integer getNewAloneNumMonth() {
        return newAloneNumMonth;
    }

    public void setNewAloneNumMonth(Integer newAloneNumMonth) {
        this.newAloneNumMonth = newAloneNumMonth;
    }

    public Integer getNewMixNumMonth() {
        return newMixNumMonth;
    }

    public void setNewMixNumMonth(Integer newMixNumMonth) {
        this.newMixNumMonth = newMixNumMonth;
    }

    public Integer getOldUserNumMonth() {
        return oldUserNumMonth;
    }

    public void setOldUserNumMonth(Integer oldUserNumMonth) {
        this.oldUserNumMonth = oldUserNumMonth;
    }

    public Integer getOldContinueNumMonth() {
        return oldContinueNumMonth;
    }

    public void setOldContinueNumMonth(Integer oldContinueNumMonth) {
        this.oldContinueNumMonth = oldContinueNumMonth;
    }

    public Integer getFinishNewNumMonth() {
        return finishNewNumMonth;
    }

    public void setFinishNewNumMonth(Integer finishNewNumMonth) {
        this.finishNewNumMonth = finishNewNumMonth;
    }

    public Integer getFinishOldNumMonth() {
        return finishOldNumMonth;
    }

    public void setFinishOldNumMonth(Integer finishOldNumMonth) {
        this.finishOldNumMonth = finishOldNumMonth;
    }

    public Integer getSumMonth() {
        return sumMonth;
    }

    public void setSumMonth(Integer sumMonth) {
        this.sumMonth = sumMonth;
    }

    public Integer getNewUserNumAll() {
        return newUserNumAll;
    }

    public void setNewUserNumAll(Integer newUserNumAll) {
        this.newUserNumAll = newUserNumAll;
    }

    public Integer getNewAloneNumAll() {
        return newAloneNumAll;
    }

    public void setNewAloneNumAll(Integer newAloneNumAll) {
        this.newAloneNumAll = newAloneNumAll;
    }

    public Integer getNewMixNumAll() {
        return newMixNumAll;
    }

    public void setNewMixNumAll(Integer newMixNumAll) {
        this.newMixNumAll = newMixNumAll;
    }

    public Integer getOldUserNumAll() {
        return oldUserNumAll;
    }

    public void setOldUserNumAll(Integer oldUserNumAll) {
        this.oldUserNumAll = oldUserNumAll;
    }

    public Integer getOldContinueNumAll() {
        return oldContinueNumAll;
    }

    public void setOldContinueNumAll(Integer oldContinueNumAll) {
        this.oldContinueNumAll = oldContinueNumAll;
    }

    public Integer getFinishNewNumAll() {
        return finishNewNumAll;
    }

    public void setFinishNewNumAll(Integer finishNewNumAll) {
        this.finishNewNumAll = finishNewNumAll;
    }

    public Integer getFinishOldNumAll() {
        return finishOldNumAll;
    }

    public void setFinishOldNumAll(Integer finishOldNumAll) {
        this.finishOldNumAll = finishOldNumAll;
    }

    public Integer getSumAll() {
        return sumAll;
    }

    public void setSumAll(Integer sumAll) {
        this.sumAll = sumAll;
    }
}
